Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1385591 - net-snmp-5.7.3-13.fc26 FTBFS: The DTLS based transports require the libssl library from OpenSSL to be available
Summary: net-snmp-5.7.3-13.fc26 FTBFS: The DTLS based transports require the libssl li...
Keywords:
Status: CLOSED DUPLICATE of bug 1423984
Alias: None
Product: Fedora
Classification: Fedora
Component: net-snmp
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Safranek
QA Contact: Fedora Extras Quality Assurance
URL: https://sourceforge.net/p/net-snmp/bu...
Whiteboard:
Depends On:
Blocks: 1383740
TreeView+ depends on / blocked
 
Reported: 2016-10-17 11:14 UTC by Petr Pisar
Modified: 2017-02-20 15:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-20 15:57:27 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
patch for Debian net-snmp package (deleted)
2016-11-08 13:38 UTC, Josef Ridky
no flags Details | Diff

Description Petr Pisar 2016-10-17 11:14:24 UTC
net-snmp-5.7.3-13.fc26 fails to build in F26:

+ ./configure --build=x86_64-redhat-linux-gnu --host=x86_64-redhat-linux-gnu --program-prefix= --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info --disable-static --enable-shared '--with-cflags=-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -D_RPM_4_4_COMPAT' '--with-ldflags=-Wl,-z,relro -Wl,-z,now' --with-sys-location=Unknown --with-logfile=/var/log/snmpd.log --with-persistent-directory=/var/lib/net-snmp '--with-mib-modules=host agentx smux      ucd-snmp/diskio tcp-mib udp-mib mibII/mta_sendmail      ip-mib/ipv4InterfaceTable ip-mib/ipv6InterfaceTable      ip-mib/ipAddressPrefixTable/ipAddressPrefixTable      ip-mib/ipDefaultRouterTable/ipDefaultRouterTable      ip-mib/ipv6ScopeZoneIndexTable ip-mib/ipIfStatsTable      sctp-mib rmon-mib etherlike-mib ucd-snmp/lmsensorsMib' --with-libwrap=yes --sysconfdir=/etc --enable-ipv6 --enable-ucd-snmp-compatibility --with-openssl --with-pic --enable-embedded-perl --enable-as-needed --with-perl-modules=INSTALLDIRS=vendor --enable-mfd-rewrites --enable-local-smux --with-temp-file-pattern=/var/run/net-snmp/snmp-tmp-XXXXXX '--with-transports=DTLSUDP TLSTCP' --with-security-modules=tsm --with-mysql --with-systemd --with-sys-contact=root@localhost
[...]
checking for EVP_md5 in -lcrypto... yes
checking for AES_cfb128_encrypt in -lcrypto... yes
checking for EVP_MD_CTX_create in -lcrypto... no
checking for DTLSv1_method in -lssl... yes
checking for SSL_library_init in -lssl... no
configure: error: The DTLS based transports require the libssl library from OpenSSL to be available

This is caused by upgrading openssl from 1:1.0.2j-1.fc26 to 1:1.1.0b-1.fc26.

Comment 1 Josef Ridky 2016-11-08 13:38:23 UTC
Created attachment 1218525 [details]
patch for Debian net-snmp package

jsafranek, do you think, that it could make sense to create patch for net-snmp to support just openssl-1.1.0b? (because right now I don't know, how to set dependency on one library but in different versions)

attached patch has been sent into net-snmp-coders mail list to support openssl-1.1.0 in Debian distribution, but I don't think, that it contains everything, what is needed

Comment 2 Petr Pisar 2017-02-20 15:57:27 UTC

*** This bug has been marked as a duplicate of bug 1423984 ***


Note You need to log in before you can comment on or make changes to this bug.